/*
 * Copyright (c) 2018-2028, AoKunSang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.csetl.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * influxdb查询参数
 *
 * @author wookvn
 * @datetime 2025-02-05 13:14:10
 */
@Data
public class InfluxdbQueryParam extends BaseQueryParam {

    /**
     * token
     */
    private String token;

    /**
     * 数据库
     */
    private String database;

    /**
     * 是否为flux语法
     */
    private boolean isFluxV2;

    public static String urlOf(InfluxdbQueryParam queryParam) {
        return String.format("http://%s:%s", queryParam.getHost(), queryParam.getPort());
    }
}
