/**
 * 
 */
package org.springblade.etl.connector.sink.config;

import java.util.List;

import org.springblade.etl.connector.base.SeatunnelConfig;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wookvn
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SeatunnelFtpFileSinkConfig extends SeatunnelConfig {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private String host;
	
	private Integer port;
	
	private String user;
	
	private String password;
	
	private String path;
	
	@JsonProperty("file_format_type")
	private String fileFormatType = "excel";
	
	@JsonProperty("sheet_name")
	private String sheetName;
	
	@JsonProperty("custom_filename")
	private Boolean customFilename = true;
	
	@JsonProperty("sink_columns")
	private List<String> sinkColumns;
	
	@JsonProperty("max_rows_in_memory")
	private Integer maxRowsInMemory = 500;
	
	private String filename_time_format = "yyyyMMddHHmmss";
	
	@JsonProperty("file_name_expression")
	private String fileNameExpression;
	
	@JsonProperty("is_enable_transaction")
	private Boolean enableTransaction = false;

}
