/**
 * 
 */
package org.springblade.etl.connector.transform.config;

import java.util.List;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import org.springblade.etl.connector.base.SeatunnelConfig;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wookvn
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SeatunnelNullReplaceTransformConfig extends SeatunnelConfig {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@JsonProperty("replace_field")
	@NotNull(message = "NULL值替换组件：替换字段不能为空")
	private List<NullField> replaceFields;
	
	@Data
	public static class NullField{
		@NotEmpty(message = "NULL值替换组件：字段不能为空")
		private String column;
		@NotNull(message = "NULL值替换组件：替换值不能为空")
		private String replacement;
	}

}
