/**
 * 
 */
package org.springblade.etl.dto;

import java.io.Serializable;

import org.springblade.etl.connector.source.enums.FieldType;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("文件结构体Model")
public class FileStructure implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("字段名")
	private String columnName;
	
	@ApiModelProperty("字段类型")
	private FieldType columnType;
	
	@ApiModelProperty("注释")
	private String comment;
	
	@ApiModelProperty("Excel列索引")
	private int columnIndex;
	
	private boolean primaryKey;

	/**
	 * @param columnName
	 * @param columnType
	 * @param comment
	 * @param columnIndex
	 */
	public FileStructure(String columnName, FieldType columnType, String comment, int columnIndex) {
		super();
		this.columnName = columnName;
		this.columnType = columnType;
		this.comment = comment;
		this.columnIndex = columnIndex;
	}
	
	/**
	 * 
	 */
	public FileStructure() {
		super();
	}
}
