/**
 * 
 */
package org.springblade.etl.dto;

import java.io.Serializable;
import java.util.Map;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import org.springblade.etl.enums.HttpMethod;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class HttpRequestDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@NotNull(message = "请求方式不能为空")
	private HttpMethod method;
	
	@NotEmpty(message = "接口地址不能为空")
	private String url;
	
	private Map<String, String> headers;
	
	private Map<String, Object> params;
	
	private String body;

}
