package org.springblade.etl.entity;

import java.time.LocalDateTime;

import org.springblade.core.mp.base.TenantEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 数据同步任务分类表 dsy_job_category
 * 
 * @author aokunsang
 * @date 2023-09-21
 */
@Data
@TableName("dsy_job_category")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DsyJobCategory对象", description = "数据同步任务分类")
public class DsyJobCategory extends TenantEntity{

	private static final long serialVersionUID = 1L;
	
 	/** 
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Integer id;
	
	/** 
	 * 分类名称 
	 */
	@ApiModelProperty(value = "分类名称")
	@TableField(condition = SqlCondition.LIKE)
	private String cateName;

	/** 
	 * 父级ID 
	 */
	@ApiModelProperty(value = "父级ID")
	private Integer parentId;

	/** 
	 * 排序号 
	 */
	@ApiModelProperty(value = "排序号")
	private Integer sortNum;

	/** 
	 * 创建时间 
	 */
	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	/** 
	 * 创建人ID 
	 */
	@ApiModelProperty(value = "创建人ID")
	private Long createUserId;

	/** 
	 * 创建人 
	 */
	@ApiModelProperty(value = "创建人")
	private String createBy;
}
