/**
 * 
 */
package org.springblade.etl.properties;

import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "platomix.dsy")
public class DsyProperties {

	/**
	 * datax根目录
	 */
	private String dataxHome;
	
	/**
	 * datax执行数据位置[配置文件+日志文件]
	 */
	private String dataxExecHome;
	
	/**
	 * datax服务器SSH信息
	 */
	private List<ServerInfo> sshServers;
	
	@Data
	public static class ServerInfo{
		private String ip;
		private String user;
		private String password;
		private Integer port = 22;
		private Integer maxTaskNum = 10;
	}
}
